<?xml version="1.0"?>
<!DOCTYPE orion-web-app PUBLIC '//Evermind//Orion web-application' 'http://www.orionserver.com/dtds/orion-web.dtd'>

<!-- Set development="true" to enabvle development, enable this if you
want to debug JSP sources etc -->

<orion-web-app
	jsp-cache-directory="./persistence"
	servlet-webdir="/servlet"
	development="false"
	persistence-path="./persistence/state.ser"
>

	<!-- The mime-mappings for this server -->
	<mime-mappings path="./mime.types" />
	<servlet-chaining servlet-name="xsl" mime-type="text/xml" />

	<mime-mapping-deployment extension="jsp" request-handler="jsp" />
	<mime-mapping-deployment extension="cgi" request-handler="cgi" />
	<mime-mapping-deployment extension="pl" request-handler="perl" />
	<mime-mapping-deployment extension="php" request-handler="php" />
	<mime-mapping-deployment extension="php3" request-handler="php" />
	<mime-mapping-deployment extension="phtml" request-handler="php" />
	<mime-mapping-deployment extension="shtml" request-handler="ssi" />

	<web-app>
		<filter>
			<filter-name>invalidPathPatch</filter-name>
			<filter-class>com.orionserver.http.patch.PathInvalidationFilter</filter-class>
		</filter>
		<filter-mapping>
			<filter-name>invalidPathPatch</filter-name>
			<url-pattern>*</url-pattern>
		</filter-mapping>

		<servlet>
			<servlet-name>xsl</servlet-name>
			<servlet-class>com.evermind.servlet.XSLServlet</servlet-class>
			<init-param>
				<param-name>defaultContentType</param-name>
				<param-value>text/html</param-value>
			</init-param>
		</servlet>
	
		<servlet>
			<servlet-name>jsp</servlet-name>
			<servlet-class>com.evermind.server.http.JSPServlet</servlet-class>
		</servlet>

		<servlet>
			<servlet-name>ssi</servlet-name>
			<servlet-class>com.evermind.server.http.SSIServlet</servlet-class>
		</servlet>

		<servlet>
			<servlet-name>cgi</servlet-name>
			<servlet-class>com.evermind.server.http.CGIServlet</servlet-class>
		</servlet>

		<servlet>
			<servlet-name>perl</servlet-name>
			<servlet-class>com.evermind.server.http.CGIServlet</servlet-class>
			<init-param>
				<param-name>interpreter</param-name>
				<param-value>perl</param-value>
			</init-param>
		</servlet>

		<servlet>
			<servlet-name>php</servlet-name>
			<servlet-class>com.evermind.server.http.CGIServlet</servlet-class>
			<init-param>
			<param-name>interpreter</param-name>
				<param-value>php</param-value>
			</init-param>
		</servlet>

		<welcome-file-list>
			<welcome-file>index.html</welcome-file>
			<welcome-file>default.jsp</welcome-file>
		</welcome-file-list>
	</web-app>
</orion-web-app>
